Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.html
Class ServletPage

    java.lang.Object
      |
      +--weblogic.html.WebPage
            |
            +--weblogic.html.HtmlPage
                  |
                  +--weblogic.html.ServletPage

public final class ServletPage
extends HtmlPage

ServletPage objects are used with Java-enabled HTTP servers that support Java as a server scripting language, e.g., Netscape's Enterprise Server.

A ServletPage object has the same charateristics as an HtmlPage, except the HTTP header information is not produced when the output() methods are invoked.

Author:
  Copyright (c) 1995-97, WebLogic, Inc.
See Also:
  `HtmlPage`, `HtmlContainer`, `HtmlElement`

Fields inherited from class weblogic.html.HtmlPage
`HTML_2, HTML_3, HTML_4, HTML_4T, htmlLevel`

Fields inherited from class weblogic.html.WebPage
`allow, codeset, contentbuf, contentencoding, contentlength, contents, contenttype, expires, lastmodified, location, pragma, referer, server`

Constructor Summary
`ServletPage()` Deprecated. Constructs a ServletPage object.
`ServletPage(Codeset codeset)` Deprecated. Constructs a ServletPage with the specified codeset.
`ServletPage(java.lang.String titlestr)` Deprecated. Constructs a ServletPage with the specified title.

Methods inherited from class weblogic.html.HtmlPage
`addScript, getBody, getBodyElement, getHead, getHtmlLevel, getTitle, output, output, output, output, outputBody, outputBody, outputHeader, outputHeader, outputTrailer, outputTrailer, resetBody, resetHead, setALinkColor, setBackground, setBackgroundColor, setDefaultBufferSize, setFrameSetElement, setHtmlLevel, setLinkColor, setOnLoad, setOnUnload, setTitle, setVLinkColor, toString`

Methods inherited from class weblogic.html.WebPage
`allow, allow, contentBuf, contentBuf, contentEncoding, contentEncoding, contentLength, contentLength, contents, contents, contentType, contentType, expires, expires, includeHeader, lastModified, lastModified, location, location, output, output, pragma, pragma, referer, referer, server, server, setClientPull, setClientPull, setCodeset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletPage

    public ServletPage()

  Deprecated.
  Constructs a ServletPage object. After calling getHead() on the object, use the addElement() method to add a TITLE element to the page. The title element is the only page element required (HTML after 2.0).

### ServletPage

    public ServletPage(java.lang.String titlestr)

  Deprecated.
  Constructs a ServletPage with the specified title.

  Parameters:
    `titlestr` - Title of page

### ServletPage

    public ServletPage(Codeset codeset)

  Deprecated.
  Constructs a ServletPage with the specified codeset.

  Parameters:
    `codeset` - Codeset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference